QGIS Application - Bug report #1600
georeferencer fails with Critical error
2009-03-28 03:52 AM - Stefano Costa -

Status: Closed

Priority: Low

Assignee: nobody -

Category: C++ Plugins

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11660
Description

| am trying to georeference a scanned map in TIFF format with linear method, but the Georeferencer plugin fails to generate the .wld file,
giving the following error (I ran qgis from the command line):

Critical: [[QgsCoordinateReferenceSystem]]::createFromWhkt -- theWkt is uninitialised, operation failed

This happens both in an empty project (no reprojection defined) and an existing one (with some layers and a custom CRS).

History

#1 - 2009-07-12 07:39 AM - Giovanni Manghi

Is this still true?

I'm not able to reproduce it with ggis 1.2 from trunk under ubuntu 9.04.

Please give it a try again and report back.

#2 - 2009-07-12 08:44 AM - Stefano Costa -

yes, it is still true (the message about theWk still shows in the terminal), even though | can't test it now with real-world data. Since the first bug report |

switched happily to helmert and polynomial methods with good results, but | think the default method should work.

Also, apparently there's no way to know that georectification has failed if not using a terminal, which is somehow rare I'm afraid.
#3 - 2009-07-12 08:59 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed

#4 - 2009-07-12 08:59 AM - Giovanni Manghi

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

#5 - 2009-07-12 09:15 AM - Giovanni Manghi

ok now | see. Nevertheless the referencing seems ok to me: it produces the world file and the raster goes in the right place. Did you find any evidence that
it doesn't works as supposed?
#6 - 2009-07-12 09:50 AM - Stefano Costa -
- Resolution set to fixed
- Status changed from Feedback to Closed

as | said before right now I've no real-world data to test with. Honestly, | can't remember the exact problem | had 4 months ago (I was finishing my MA
dissertation!), so if you see the very same messages as | do and it works, feel free to close this bug.

cheers,

steko
